produceGEOSampleInfoTemplate {lumi} | R Documentation

## Produce the template of GEO sample information

### Description

Produce the template of GEO sample information, which is used for function `produceGEOSubmissionFile`.

### Usage

    produceGEOSampleInfoTemplate(lumiNormalized, lib.mapping = NULL, fileName = "GEOsampleInfo.txt")

### Arguments

`lumiNormalized` | The normalized data (LumiBatch object)
`lib.mapping` | The Illumina ID Mapping library, e.g., "lumiHumanIDMapping"
`fileName` | The file name of Tab separated sample information file

### Details

This function just produces a template of sample information with some default fillings. Users need to fill in the detailed sample descriptions, especially the Sample_title, Sample_description and some protocols. No blank fields are allowed. Function `produceGEOSubmissionFile` will produce the file GEO submission file based on this sample information. The users should not use "#" in the description as it is a reserved character.

### Value

Save the result as a Tab separated text file or return a data.frame if the fileName is NULL.

### Author(s)

Pan Du

### References

http://www.ncbi.nlm.nih.gov/projects/geo/info/soft2.html

### See Also

`produceGEOSubmissionFile`

[Package lumi version 1.10.2 Index]